PSVIAttribute Class Reference

`#include <xercesc/framework/psvi/PSVIAttribute.hpp>`

Inheritance diagram for PSVIAttribute:

## Public Member Functions

Constructors
| PSVIAttribute (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
Destructor
| ~PSVIAttribute ()
Public Member Functions inherited from PSVIItem
| PSVIItem (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
virtual | ~PSVIItem ()
const XMLCh * | getValidationContext ()
| [validation context]
VALIDITY_STATE | getValidity () const
| Determine the validity of the node with respect to the validation being attempted.
ASSESSMENT_TYPE | getValidationAttempted () const
| Determines the extent to which the item has been validated.
const XMLCh * | getSchemaNormalizedValue ()
| A list of error codes generated from validation attempts.
const XMLCh * | getSchemaDefault ()
| [schema default]
bool | getIsSchemaSpecified () const
| [schema specified]
const XMLCh * | getCanonicalRepresentation () const
| Return the canonical representation of this value.
virtual XSValue * | getActualValue () const
| Get actual value in the form of XSValue, caller needs to delete the object returned.
void | setValidationAttempted (PSVIItem::ASSESSMENT_TYPE attemptType)
| methods needed by implementation
void | setValidity (PSVIItem::VALIDITY_STATE validity)
void | reset (const XMLCh *const validationContext, const XMLCh *const normalizedValue, const VALIDITY_STATE validityState, const ASSESSMENT_TYPE assessmentType)
| reset the object
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## PSVIAttribute methods

XSAttributeDeclaration * | getAttributeDeclaration ()
| An item isomorphic to the attribute declaration used to validate this attribute.
XSTypeDefinition * | getTypeDefinition ()
| An item isomorphic to the type definition used to validate this element.
XSSimpleTypeDefinition * | getMemberTypeDefinition ()
| If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple thype definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value.
void | reset (const XMLCh *const valContext, PSVIItem::VALIDITY_STATE state, PSVIItem::ASSESSMENT_TYPE assessmentType, XSSimpleTypeDefinition *validatingType, XSSimpleTypeDefinition *memberType, const XMLCh *const defaultValue, const bool isSpecified, XSAttributeDeclaration *attrDecl, DatatypeValidator *dv)
| methods needed by implementation
void | setValue (const XMLCh *const normalizedValue)
| set the schema normalized value (and implicitly the canonical value) of this object; intended to be used by the implementation.
void | updateValidity (VALIDITY_STATE newValue)
| set VALIDITY_STATE to specified value; intended to be called by implementation.

## Additional Inherited Members

Public Types inherited from PSVIItem
enum | VALIDITY_STATE { VALIDITY_NOTKNOWN = 0 , VALIDITY_INVALID = 1 , VALIDITY_VALID = 2 }
enum | ASSESSMENT_TYPE { VALIDATION_NONE = 0 , VALIDATION_PARTIAL = 1 , VALIDATION_FULL = 2 }
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.
MemoryManager *const | fMemoryManager
const XMLCh * | fValidationContext
const XMLCh * | fNormalizedValue
const XMLCh * | fDefaultValue
XMLCh * | fCanonicalValue
VALIDITY_STATE | fValidityState
ASSESSMENT_TYPE | fAssessmentType
bool | fIsSpecified
XSTypeDefinition * | fType
XSSimpleTypeDefinition * | fMemberType

## Constructor & Destructor Documentation

## PSVIAttribute()

PSVIAttribute::PSVIAttribute | ( | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager | ) |

The default constructor.

Parameters

  manager | The configurable memory manager

References XMLPlatformUtils::fgMemoryManager, getAttributeDeclaration(), and PSVIAttribute().

Referenced by PSVIAttribute(), and setValue().

## ~PSVIAttribute()

PSVIAttribute::~PSVIAttribute | ( |  | ) |

References PSVIItem::fCanonicalValue, and PSVIItem::fMemoryManager.

## Member Function Documentation

## getAttributeDeclaration()

XSAttributeDeclaration * PSVIAttribute::getAttributeDeclaration | ( |  | ) |

An item isomorphic to the attribute declaration used to validate this attribute.

Returns
  an attribute declaration

Referenced by PSVIAttribute().

## getMemberTypeDefinition()

XSSimpleTypeDefinition * PSVIAttribute::getMemberTypeDefinition | ( |  | ) |

virtual

If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple thype definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value.

Returns
  a simple type declaration

Implements PSVIItem.

References PSVIItem::fMemberType.

## getTypeDefinition()

XSTypeDefinition * PSVIAttribute::getTypeDefinition | ( |  | ) |

virtual

An item isomorphic to the type definition used to validate this element.

Returns
  a type declaration

Implements PSVIItem.

References PSVIItem::fType.

## reset()

void PSVIAttribute::reset | ( | const XMLCh *const | valContext,
|  | PSVIItem::VALIDITY_STATE | state,
|  | PSVIItem::ASSESSMENT_TYPE | assessmentType,
|  | XSSimpleTypeDefinition * | validatingType,
|  | XSSimpleTypeDefinition * | memberType,
|  | const XMLCh *const | defaultValue,
|  | const bool | isSpecified,
|  | XSAttributeDeclaration * | attrDecl,
|  | DatatypeValidator * | dv )

methods needed by implementation

reset this object. Intended to be called by the implementation.

## setValue()

void PSVIAttribute::setValue | ( | const XMLCh *const | normalizedValue | ) |

set the schema normalized value (and implicitly the canonical value) of this object; intended to be used by the implementation.

References PSVIAttribute(), and updateValidity().

## updateValidity()

void PSVIAttribute::updateValidity | ( | VALIDITY_STATE | newValue | ) |

set VALIDITY_STATE to specified value; intended to be called by implementation.

References PSVIItem::fValidityState.

Referenced by setValue().

The documentation for this class was generated from the following file:

- PSVIAttribute.hpp